Vista fremtvinger bytte for utviklere

Ikke alle programmer vil kunne kjøres på Windows Vista. Dette gjelder blant annet noen fra Microsoft.

Utviklere som benytter Visual Studio .NET 2002 eller 2003 må oppgradere til 2005-utgaven hvis de vil benytte Windows Vista som operativsystem. Dette skriver S. Somasegar, visepresident for Microsofts utviklerdivisjon, i et blogginnlegg. Programvare utviklet med disse verktøyene kan kjøres på Windows Vista, men må utvikles i Windows XP.

Begrunnelsen for dette er at Windows Vista-funksjonalitet knyttet til Windows Presentation Foundation, Aero og Glass er så ulik tidligere løsninger at det skal være umulig å støtte disse på en god måte med de eldre utviklerverktøyene.

Somasegar oppgir også at Microsoft nettopp har sluppet en betaversjon av den første servicepakken til Visual Studio 2005. Denne skal sikre at utviklerverktøyet kjører stabilt på Vista. Somasegar innrømmer at betautgaven av servicepakken har kommet litt sent. Den endelige versjonen kan først ventes om tre til fire måneder - i verste fall etter at Windows Vista er blitt lansert.

SP1 til VS skal fungere sammen med Vista, men fortsatt vil det trolig gjenstå visse kompatibilitetsproblemer. Disse skal først bli løst i ettertid, for å sikre at servicepakken kan gis ut så raskt som mulig.

Til toppen